Freeciv-3.2: multiplier Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
multiplier Struct Reference

`#include <multipliers.h>`

## Data Fields

Multiplier_type_id | id
struct name_translation | name
bool | ruledit_disabled
int | start
int | stop
int | step
int | def
int | offset
int | factor
int | minimum_turns
struct requirement_vector | reqs
struct strvec * | helptext

## Detailed Description

Definition at line 30 of file multipliers.h.

## Field Documentation

## ◆ def

int multiplier::def

Definition at line 38 of file multipliers.h.

Referenced by handle_ruleset_multiplier(), sg_load_players_basic(), and sg_load_players_basic().

## ◆ factor

int multiplier::factor

Definition at line 40 of file multipliers.h.

Referenced by handle_ruleset_multiplier(), and player_multiplier_effect_value().

## ◆ helptext

struct strvec* multiplier::helptext

Definition at line 43 of file multipliers.h.

Referenced by handle_ruleset_multiplier(), and multipliers_init().

## ◆ id

Multiplier_type_id multiplier::id

Definition at line 32 of file multipliers.h.

## ◆ minimum_turns

int multiplier::minimum_turns

Definition at line 41 of file multipliers.h.

Referenced by handle_ruleset_multiplier(), and multiplier_can_be_changed().

## ◆ name

struct name_translation multiplier::name

Definition at line 33 of file multipliers.h.

Referenced by handle_ruleset_multiplier(), tab_multiplier::initialize_new_multiplier(), multiplier_name_translation(), multiplier_rule_name(), tab_multiplier::name_given(), and tab_multiplier::update_multiplier_info().

## ◆ offset

int multiplier::offset

Definition at line 39 of file multipliers.h.

Referenced by handle_ruleset_multiplier(), and player_multiplier_effect_value().

## ◆ reqs

struct requirement_vector multiplier::reqs

Definition at line 42 of file multipliers.h.

Referenced by tab_multiplier::edit_reqs(), handle_ruleset_multiplier(), and multiplier_can_be_changed().

## ◆ ruledit_disabled

bool multiplier::ruledit_disabled

Definition at line 34 of file multipliers.h.

Referenced by tab_multiplier::add_now(), tab_multiplier::delete_now(), multipliers_init(), and tab_multiplier::name_given().

## ◆ start

int multiplier::start

Definition at line 35 of file multipliers.h.

Referenced by handle_player_multiplier(), handle_ruleset_multiplier(), mult_to_scale(), mult_to_scale(), scale_to_mult(), scale_to_mult(), sg_load_players_basic(), and sg_load_players_basic().

## ◆ step

int multiplier::step

Definition at line 37 of file multipliers.h.

Referenced by handle_player_multiplier(), handle_ruleset_multiplier(), mult_to_scale(), mult_to_scale(), scale_to_mult(), scale_to_mult(), sg_load_players_basic(), and sg_load_players_basic().

## ◆ stop

int multiplier::stop

Definition at line 36 of file multipliers.h.

Referenced by handle_player_multiplier(), handle_ruleset_multiplier(), sg_load_players_basic(), and sg_load_players_basic().